initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+1
View File
@@ -0,0 +1 @@
disable radvd.service
+15
View File
@@ -0,0 +1,15 @@
config BR2_PACKAGE_RADVD
bool "radvd"
depends on BR2_USE_MMU # fork()
help
IPv6 Router Advertisement Daemon.
On busybox and sysvinit systems, radvd will be started only if
a /etc/radvd.conf exists.
To enable it at build time with systemd, add /etc/radvd.conf
and a /etc/systemd/system-preset/40-radvd.preset file with
enable radvd.service
http://www.litech.org/radvd/
+59
View File
@@ -0,0 +1,59 @@
#!/bin/sh
DAEMON="radvd"
PIDFILE="/var/run/$DAEMON.pid"
RADVD_ARGS="-m syslog"
# shellcheck source=/dev/null
[ -r "/etc/default/$DAEMON" ] && . "/etc/default/$DAEMON"
[ -f /etc/radvd.conf ] || exit 0
[ -f /proc/sys/net/ipv6/conf/all/forwarding ] || {
echo "Error: radvd requires IPv6 forwarding support."
exit 1
}
start() {
printf 'Starting %s: ' "$DAEMON"
echo "1" > /proc/sys/net/ipv6/conf/all/forwarding
# shellcheck disable=SC2086 # we need the word splitting
start-stop-daemon -S -q -p "$PIDFILE" -x "/usr/sbin/$DAEMON" \
-- $RADVD_ARGS
status=$?
if [ "$status" -eq 0 ]; then
echo "OK"
else
echo "FAIL"
fi
return "$status"
}
stop() {
printf 'Stopping %s: ' "$DAEMON"
start-stop-daemon -K -q -p "$PIDFILE" -x "/usr/sbin/$DAEMON"
status=$?
if [ "$status" -eq 0 ]; then
echo "OK"
else
echo "FAIL"
fi
return "$status"
}
restart() {
stop
sleep 1
start
}
case "$1" in
start|stop)
"$1";;
restart|reload)
restart;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
esac
+3
View File
@@ -0,0 +1,3 @@
# From http://www.litech.org/radvd/dist/radvd-2.19.tar.gz.sha512
sha512 caa621fd77e34ff6858d60a41b0ee02aff967ac14f2b84c402359744f4bece5c1563419860431c328adc0385e9893ed1f2421d652247a3aa0dfc0aaad1e01233 radvd-2.19.tar.gz
sha256 40a6db00cf0b97f031eaa6c6e87157788f40ced1b88e3ea6d78779bd2a39dc80 COPYRIGHT
+35
View File
@@ -0,0 +1,35 @@
################################################################################
#
# radvd
#
################################################################################
RADVD_VERSION = 2.19
RADVD_SITE = http://www.litech.org/radvd/dist
RADVD_DEPENDENCIES = host-bison host-flex host-pkgconf
# We need to ignore <linux/if_arp.h>, because radvd already includes
# <net/if_arp.h>, which conflicts with <linux/if_arp.h>.
RADVD_CONF_ENV = \
ac_cv_prog_cc_c99='-std=gnu99' \
ac_cv_header_linux_if_arp_h=no
RADVD_LICENSE = BSD-4-Clause-like
RADVD_LICENSE_FILES = COPYRIGHT
RADVD_SELINUX_MODULES = radvd
ifeq ($(BR2_TOOLCHAIN_HAS_SSP),y)
RADVD_CONF_OPTS += --with-stack-protector
else
RADVD_CONF_OPTS += --without-stack-protector
endif
# We don't provide /etc/radvd.conf, so disable the service by default.
define RADVD_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 0644 package/radvd/50-radvd.preset \
$(TARGET_DIR)/usr/lib/systemd/system-preset/50-radvd.preset
endef
define RADVD_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/radvd/S50radvd $(TARGET_DIR)/etc/init.d/S50radvd
endef
$(eval $(autotools-package))